[arch-commits] Commit in (8 files)

Tobias Powalowski tpowa at archlinux.org
Sat Dec 6 17:56:23 UTC 2008


    Date: Saturday, December 6, 2008 @ 12:56:23
  Author: tpowa
Revision: 20775

'newpkg: first release'

Added:
  mkisolinux/
  mkisolinux/repos/
  mkisolinux/trunk/
  mkisolinux/trunk/PKGBUILD
  mkisolinux/trunk/boot.msg
  mkisolinux/trunk/mkisolinux
  mkisolinux/trunk/mkisolinux.conf
  mkisolinux/trunk/options.msg

-----------------+
 PKGBUILD        |   27 +++++++++++++
 boot.msg        |   14 ++++++
 mkisolinux      |  111 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mkisolinux.conf |   38 ++++++++++++++++++
 options.msg     |    6 ++
 5 files changed, 196 insertions(+)

Added: mkisolinux/trunk/PKGBUILD
===================================================================
--- mkisolinux/trunk/PKGBUILD	                        (rev 0)
+++ mkisolinux/trunk/PKGBUILD	2008-12-06 17:56:23 UTC (rev 20775)
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 12670 2008-09-17 21:19:05Z tpowa $
+# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=mkisolinux
+pkgver=2008.12
+pkgrel=1
+pkgdesc="Advanced, modular isolinux bootcd image creation utility"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.archlinux.org/"
+depends=('mkinitcpio' 'cdrkit' 'syslinux')
+source=('boot.msg' 'mkisolinux' 'mkisolinux.conf' 'options.msg')
+replaces=('mkbootcd')
+backup=(etc/mkisolinux.conf)
+
+build()
+{
+  cd $startdir/src/
+  install -D -m755 mkisolinux $startdir/pkg/usr/sbin/mkisolinux
+  install -D -m644 mkisolinux.conf $startdir/pkg/etc/mkisolinux.conf
+  install -D -m644 boot.msg $startdir/pkg/usr/share/mkisolinux/boot.msg
+  install -D -m644 options.msg $startdir/pkg/usr/share/mkisolinux/options.msg
+}
+md5sums=('6cc9a8927353479a5426b85c0ae1d826'
+         'a0bb46d322ebeef38dae026008e3a19c'
+         '287af942432ca63e3902c2f0e166751d'
+         'b211c5f7e30d2ee36cde20f71aa3f2b8')

Added: mkisolinux/trunk/boot.msg
===================================================================
--- mkisolinux/trunk/boot.msg	                        (rev 0)
+++ mkisolinux/trunk/boot.msg	2008-12-06 17:56:23 UTC (rev 20775)
@@ -0,0 +1,14 @@
+
+
+------------------------------------------------------------------------------
+Arch Linux
+ISOLINUX BOOT
+created with 'mkisolinux' written by Tobias Powalowski <tpowa at archlinux.org>
+
+Press ENTER or type 'arch' to boot the CD.
+
+If you wish to change your defaults to boot into your existing system,
+type 'vmlinuz initrd=initrd.img <any_other_boot_option>'
+Use the F2 key for troubleshooting and options.
+------------------------------------------------------------------------------
+

Added: mkisolinux/trunk/mkisolinux
===================================================================
--- mkisolinux/trunk/mkisolinux	                        (rev 0)
+++ mkisolinux/trunk/mkisolinux	2008-12-06 17:56:23 UTC (rev 20775)
@@ -0,0 +1,111 @@
+#! /bin/sh
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# Settings
+APPNAME=$(basename "${0}")
+CONFIG="/etc/mkisolinux.conf"
+GENIMG=""
+BURN="0"
+BLANK="0"
+TARNAME=""
+export TEMPDIR=$(mktemp -d /tmp/mkisolinux.XXXX)
+usage ()
+{
+    echo "${APPNAME}: usage"
+    echo "  -g=IMAGE         Generate a ISO image as IMAGE"
+    echo "  -c=CONFIG        Use CONFIG file. default: /etc/mkisolinux.conf"
+    echo "  -B               Burn the ISO image after creation"
+    echo "  -b               Blanking media first"
+    echo "  -h               This message."
+    exit 1
+}
+
+[ "$1" == "" ] && usage
+
+while [ $# -gt 0 ]; do
+	case $1 in
+		-c=*|--c=*) CONFIG="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-g=*|--g=*) GENIMG="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-B|--B) BURN="1" ;;
+		-b|--b) BLANK="1" ;;
+		-t=*|--t=*) TARNAME="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-h|--h|?) usage ;; 
+		*) usage ;;
+		esac
+	shift
+done
+
+if [ "${TARNAME}" = "" -a "${GENIMG}" = "" ]; then 
+	echo "ERROR: No image name specified, please use the -g option"
+	exit 1
+fi
+
+if [ ! -f "${CONFIG}" ]; then
+	echo "config file '${CONFIG}' cannot be found, aborting..."
+	exit 1
+fi
+
+. "${CONFIG}"
+# export for mkinitcpio
+[ -n "${APPENDBOOTMESSAGE}" ] && export APPENDBOOTMESSAGE
+[ -n "${APPENDOPTIONSBOOTMESSAGE}" ] && export APPENDOPTIONSBOOTMESSAGE
+
+export RUNPROGRAM="${APPNAME}"
+export BOOTDIRNAME="isolinux"
+
+[ "${BOOTMESSAGE}" = "" ] && export BOOTMESSAGE=$(mktemp /tmp/bootmessage.XXXX)
+[ "${OPTIONSBOOTMESSAGE}" = "" ] && export OPTIONSBOOTMESSAGE=$(mktemp /tmp/optionsbootmessage.XXXX)
+[ "${ISONAME}" = "" ] && export ISONAME=$(mktemp /tmp/isoname.XXXX)
+export USEKERNEL=${VERSION}
+
+# begin script
+mkdir -p ${TEMPDIR}/${BOOTDIRNAME}/
+install -m755 /usr/lib/syslinux/isolinux.bin ${TEMPDIR}/${BOOTDIRNAME}/isolinux.bin
+
+# create isolinux.cfg
+echo ":: Creating isolinux.cfg ..."
+if [ "${ISOLINUXCFG}" = "" ]; then
+	[ -e  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg ] && rm  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "prompt ${PROMPT}" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "timeout ${TIMEOUT}" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "display boot.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "F1 boot.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "F2 options.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "default arch"  >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "label arch" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "kernel vmlinuz" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+	echo "append initrd=initrd.img ${KERNEL_BOOT_OPTIONS}" >>  ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+else
+	sed "s|@@PROMPT@@|${PROMPT}|g;s|@@TIMEOUT@@|${TIMEOUT}|g;s|@@KERNEL_BOOT_OPTIONS@@|${KERNEL_BOOT_OPTIONS}|g" \
+		${ISOLINUXCFG} > ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg
+fi
+[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/isolinux.cfg ] && echo "No isolinux.cfg found" && exit 1
+
+echo ":: Calling mkinitcpio CONFIG=${MKINITCPIO_CONFIG} KERNEL=${VERSION} ..." 
+# generate initramdisk
+echo ":: Creating initramdisk ..."
+	mkinitcpio -c ${MKINITCPIO_CONFIG} -k ${VERSION} -g ${TEMPDIR}/${BOOTDIRNAME}/initrd.img
+echo ":: Using ${KERNEL} as image kernel ..."
+	install -m644 ${KERNEL} ${TEMPDIR}/${BOOTDIRNAME}/vmlinuz
+	install -m644 ${BOOTMESSAGE} ${TEMPDIR}/${BOOTDIRNAME}/boot.msg
+	install -m644 ${OPTIONSBOOTMESSAGE} ${TEMPDIR}/${BOOTDIRNAME}/options.msg
+	[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/boot.msg ] && echo 'ERROR:no boot.msg found, aborting!' && exit 1
+	[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/options.msg ] && echo 'ERROR:no options.msg found, aborting!' && exit 1
+# create image
+echo ":: Creating ISO image ..."
+	[ -e ${GENIMG} ] && rm ${GENIMG}
+	[ -s "${ISONAME}" ] && ISONAME=$(cat $ISONAME) || ISONAME="Arch Linux"
+	mkisofs -RlDJLV "${ISONAME}" -b isolinux/isolinux.bin -c isolinux/boot.cat \
+		-no-emul-boot -boot-load-size 4 -boot-info-table -o ${GENIMG} ${TEMPDIR}/ > /dev/null 2>&1 \
+        && echo ":: ISO Image succesfull created at ${GENIMG}"
+	# burning/blanking image
+	if [ "$BLANK" = "1" ]; then
+		echo ":: Blanking media DEVICE=${DEVICE}, BLANKMODE=${BLANKMODE}, SPEED=${SPEED} ..."
+			cdrecord dev=${DEVICE} speed=${SPEED} blank=${BLANKMODE} > /dev/null 2>&1 && echo ":: Successfull."
+	fi
+	if [ "$BURN" = "1" ]; then
+		echo ":: Burning ISO image DEVICE=${DEVICE}, SPEED=${SPEED} ..."
+			cdrecord dev=${DEVICE} speed=${SPEED} -eject ${GENIMG}  > /dev/null 2>&1 && echo ":: Successfull."
+	fi
+
+# clean /tmp
+rm -r ${TEMPDIR}


Property changes on: mkisolinux/trunk/mkisolinux
___________________________________________________________________
Added: svn:executable
   + *

Added: mkisolinux/trunk/mkisolinux.conf
===================================================================
--- mkisolinux/trunk/mkisolinux.conf	                        (rev 0)
+++ mkisolinux/trunk/mkisolinux.conf	2008-12-06 17:56:23 UTC (rev 20775)
@@ -0,0 +1,38 @@
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# config file of mkisolinux
+
+# DEFAULT kernel boot options like root=/dev/hda3 etc.
+# add your root= option, if you boot from a disk device
+# and don't want to add it by hand on each boot
+KERNEL_BOOT_OPTIONS=""
+
+# mkinitcpio config file, defaulted to stock config file
+MKINITCPIO_CONFIG="/etc/mkinitcpio.conf"
+
+# kernel version, defaulted to build for runtime kernel
+VERSION="$(uname -r)"
+
+# kernel image, defaulted to stock arch kernel
+KERNEL="/boot/vmlinuz26"
+
+# boot message files
+BOOTMESSAGE="/usr/share/mkisolinux/boot.msg"
+OPTIONSBOOTMESSAGE="/usr/share/mkisolinux/options.msg"
+
+# isolinux.cfg file to use
+ISOLINUXCFG=""
+
+# Prompt on boot, 1=yes 0=no
+PROMPT="1"
+
+# Name of the ISO, if empty Arch Linux is used if not set by a HOOK later
+ISONAME=""
+
+# Timeout, 30 seconds to fix usb keyboard issues
+# 0 means wait for prompt
+TIMEOUT="300"
+
+# Setting cdrecord options
+DEVICE=""
+SPEED=""
+BLANKMODE=""
\ No newline at end of file

Added: mkisolinux/trunk/options.msg
===================================================================
--- mkisolinux/trunk/options.msg	                        (rev 0)
+++ mkisolinux/trunk/options.msg	2008-12-06 17:56:23 UTC (rev 20775)
@@ -0,0 +1,6 @@
+------------------------------------------------------------------------------
+Arch Linux options and troubleshooting:
+
+- If your system hangs during the boot process, any combinations of the
+  boot options noapic acpi=off pci=routeirq nosmp nomsi may be useful.
+------------------------------------------------------------------------------
\ No newline at end of file




More information about the arch-commits mailing list